<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules|About Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="The Metasploit Framework categorizes modules based on the type of action that the module performs. " /><title>Modules Types</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/module-types.html">Open topic with navigation</a>
        </p>
        <h2>Modules Types</h2>
        <p>The Metasploit Framework categorizes modules based on the type of action that the module performs. The majority of modules are either an exploit or an auxiliary module. Generally, if a module can obtain a shell on a remote machine, it is an exploit module. Otherwise, it is an auxiliary module. </p>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Auxiliary Modules|auxiliary-modules.html||Exploit Modules|exploit-modules.html||Modules Excluded from Metasploit Pro|excluded-modules.html||NOP Modules|nop-modules.html||Payload Modules|payload-modules.html||Post-Exploitation Modules|post-exploitation-modules.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>